Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.CurrentMultipleKey Property
Cursor Class See Also

The multiple key and data items at which the cursor currently points.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public MultipleKeyDatabaseEntry CurrentMultipleKey { get; private set; }

Visual Basic (Declaration)
    Public Property CurrentMultipleKey As MultipleKeyDatabaseEntry

Visual C++
    public:
    property MultipleKeyDatabaseEntry^ CurrentMultipleKey {
    	MultipleKeyDatabaseEntry^ get ();
    	void set (MultipleKeyDatabaseEntry^ value);
    }

# Remarks

Only one of Current, CurrentMultiple and CurrentMultipleKey will ever be non-empty.

# See Also

Cursor Class
BerkeleyDB Namespace